/*==============================================================================

FICHIER     : [systools.h]

DATE        : 2005/12/0005 22:00:48

CREATEUR    : [Linux!jef]

COMMENTAIRE :

================================================================================

==============================================================================*/

#ifndef __SYSTOOLS_H__
#define __SYSTOOLS_H__
/*@$#[systools.c] global proto. AutoProtoSigV1.1. date: 107/02/12 20:56:44 */
#include "proto.h"
#ifdef __cplusplus
extern "C" {
#endif
int MkFifo PROTO((char *fifoName));
int DelFifo PROTO((char *fifoName));
long long FileSize64 PROTO((char *fileName));
char *LLSize2Giga PROTO((long long size));
int flook PROTO((char *fname));
long long FsFree PROTO((char *fsName));
int DirExist PROTO((char *dirName));
int FileExist PROTO((char *fileName));
FILE *my_popen PROTO((char *command, char *mode));
int my_pclose PROTO((FILE *stream));
char *Duree2String PROTO((int duree));
char *AddString2List PROTO((char *list, char *string));
char *RemoveStringFromList PROTO((char *list, char *string));
int MakeDirIfNeeded PROTO((char *path));
int IsDvdLoaded PROTO((char *device));
int StringDuree2Sec PROTO((char *string));
int IsLoopDeviceReady PROTO((char *loopDevice));
#ifdef __cplusplus
}
#endif
/*@$% end of AutoProtoSigV1.1 (Dont remove this line) [-I ../include]*/

#endif	/* __SYSTOOLS_H__ */

